# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{11,12,13} )
inherit distutils-r1

DESCRIPTION="This library allows you to create a system tray icon."
HOMEPAGE="
	https://pypi.org/project/pystray/
"
SRC_URI="https://github.com/moses-palmer/pystray/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-3 LGPL-3"
SLOT="0"
KEYWORDS="amd64 arm64"

RDEPEND="
	dev-python/pillow
	dev-python/six
	dev-python/python-xlib
"
BDEPEND=" "

distutils_enable_tests pytest
